/*============================================================================
  File:     RestoreSalesDB.sql

  Summary:  Recreate the SalesDB and make sure that no connections exist.
  
  Date:     July 2010

  SQL Server Version: SQL Server 2008 SP1
------------------------------------------------------------------------------
  Written by Kimberly L. Tripp & Paul S. Randal, SQLskills.com

  For more scripts and sample code, check out 
    http://www.SQLskills.com

  This script is intended only as a supplement to demos and lectures
  written/presented by SQLskills.com  
  
  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF 
  ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED 
  TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
  PARTICULAR PURPOSE.
============================================================================*/

-- This script takes about 15 seconds

SET NOCOUNT ON
go

USE master
go

IF DATABASEPROPERTYEX('SalesDB_Snapshot', 'Collation') IS NOT NULL
	DROP DATABASE SalesDB_Snapshot
go


IF DATABASEPROPERTYEX('SalesDB', 'Collation') IS NOT NULL
	ALTER DATABASE SalesDB
		SET RESTRICTED_USER 
		WITH ROLLBACK IMMEDIATE
go

RESTORE DATABASE SalesDB
	FROM DISK = N'C:\SQLskills\SalesDBOriginal.bak'
WITH STATS = 10, REPLACE
go

-- Delete backup history for SalesDB database
USE msdb;
GO

EXEC sp_delete_database_backuphistory 'SalesDB';
GO