/*============================================================================
  File:     ModifyData.sql

  Summary:  This script shows the modifications used to create the comparison
			database used in the TableDiff exercise.
  
  Date:     July 2010

  SQL Server Version: SQL Server 2008 SP1
------------------------------------------------------------------------------
  Written by Kimberly L. Tripp & Paul S. Randal, SQLskills.com
  All rights reserved.

  For more scripts and sample code, check out:
    http://www.SQLskills.com

  This script is intended only as a supplement to demos and lectures
  given by SQLskills.com  
  
  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF 
  ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED 
  TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
  PARTICULAR PURPOSE.
============================================================================*/

USE SalesDB
go

--SELECT * FROM Customers
go

UPDATE Customers
	SET MiddleInitial = 'U'
	WHERE CustomerID % 5 = 0 
		AND MiddleInitial IS NULL 
		AND LastName LIKE 'F%'
go

--SELECT * FROM Employees
go

UPDATE Employees
	SET FirstName = 'Mary'
	WHERE EmployeeID = 7
go

UPDATE Employees
	SET MiddleInitial = 'P'
	WHERE EmployeeID = 15
go

UPDATE Employees
	SET MiddleInitial = UPPER(MiddleInitial) 
go

UPDATE Employees
	SET LastName = 'McMahon'
	WHERE EmployeeID = 15
go

--SELECT * FROM Products
go

UPDATE Products
	SET Price = 
			CASE WHEN ProductID < 50 THEN ProductID 
			WHEN ProductID >= 50 and ProductID < 100 THEN ProductID / 2
			WHEN ProductID >= 100 and ProductID < 150 THEN ProductID / 3
			WHEN ProductID >= 150 and ProductID < 200 THEN ProductID / 4
			WHEN ProductID >= 200 and ProductID < 250 THEN ProductID / 3
			END 
FROM Products WHERE Price = 0
go

--SELECT * FROM Sales
go

DELETE Sales
	WHERE SalesID % 5897 = 0
go

UPDATE Sales
	SET Quantity = Quantity + 10
	WHERE SalesID % 10883 = 0
go